org.apache.cassandra.schema

## Class Types.RawBuilder

- java.lang.Object
- - org.apache.cassandra.schema.Types.RawBuilder

- Enclosing class:
    Types

      public static final class Types.RawBuilder
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.String name, java.util.List<java.lang.String> fieldNames, java.util.List<java.lang.String> fieldTypes)`
    `Types` | `build()` Build a Types instance from Raw definitions.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### build

          public Types build()

      Build a Types instance from Raw definitions. Constructs a DAG of graph dependencies and resolves them 1 by 1 in topological order.

    - #### add

          public void add(java.lang.String name,
                          java.util.List<java.lang.String> fieldNames,
                          java.util.List<java.lang.String> fieldTypes)

Copyright © 2018 The Apache Software Foundation